<?php
function drk_add_user_id_meta_boxes(){
    add_meta_box(
        "post_metadata_user_id",
        "User id",
        "drk_meta_box_user_id",
        array("profile"),
        "normal",
        "default"
    );
}

add_action('add_meta_boxes','drk_add_user_id_meta_boxes');

function drk_meta_box_user_id( ) {
    global $post;
    $user_id = get_post_meta($post->ID, '_user_id', true);
    ?>
        <h3>User ID: <b><?php echo $user_id?></b></h3>
    <?php
}
add_action("update_post", "drk_save_user_id_meta_boxes");

function drk_add_user_rate_meta_boxes(){
    add_meta_box(
        "post_metadata_user_rate_id",
        __("User Rating"),
        "drk_meta_box_user_rate",
        'profile',
        "normal"
    );
}
add_action('add_meta_boxes', "drk_add_user_rate_meta_boxes");

function drk_meta_box_user_rate( ) {
    global $post;
    $rate_value = intval(get_post_meta($post->ID, '_rate',true));
    $rate_stars = intval(get_post_meta($post->ID, '_rate_stars',true));
    $vote_count = intval(get_post_meta($post->ID, '_vote_count',true));
    ?>
    <h4>Rating: <b><?php echo $rate_value?></b></h4>
    <h4>Vote count: <b><?php echo $vote_count?></b></h4>
    <h4>Stars: <b><?php echo $rate_stars==0?5:$rate_stars; ?> / 10</b></h4>
    <?php
}